关于Zabbix Server SQL注入漏洞(CVE-2024-22120)的预警提示

发布时间:2024-05-28浏览次数:10

一、漏洞详情

Zabbix是一个基于WEB界面的提供分布式系统监视以及网络监视功能的企业级开源监控解决方案。

近日,监测到Zabbix Server组件中修复了一个SQL注入漏洞(CVE-2024-22120)。Zabbix多个受影响版本中存在SQL注入漏洞,该漏洞存在于audit.czbx_auditlog_global_script函数中,由于clientip字段未经清理,可能导致SQL时间盲注攻击,经过身份验证的威胁者可利用该漏洞从数据库中获取敏感信息,并可能导致将权限提升为管理员或导致远程代码执行。

建议受影响用户做好资产自查以及预防工作,以免遭受黑客攻击。

二、影响范围

Zabbix 6.0.0 - 6.0.27

Zabbix 6.4.0 - 6.4.12

Zabbix 7.0.0alpha1 - 7.0.0beta1

三、修复建议

目前该漏洞已经修复,受影响用户可升级到Zabbix 6.0.28rc16.4.13rc17.0.0beta2或更高版本。